> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lightdash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1projects aiagentscode



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/projects/{projectUuid}/aiAgents/code
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3374.1
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/projects/{projectUuid}/aiAgents/code:
    get:
      operationId: getAiAgentsAsCode
      parameters:
        - in: path
          name: projectUuid
          required: true
          schema:
            type: string
        - in: query
          name: ids
          required: false
          schema:
            items:
              type: string
            type: array
        - in: query
          name: offset
          required: false
          schema:
            type: number
            format: double
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAgentAsCodeListResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    ApiAgentAsCodeListResponse:
      properties:
        results:
          properties:
            offset:
              type: number
              format: double
            total:
              type: number
              format: double
            missingIds:
              items:
                type: string
              type: array
            agents:
              items:
                $ref: '#/components/schemas/AgentAsCode'
              type: array
          required:
            - offset
            - total
            - missingIds
            - agents
          type: object
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    AgentAsCode:
      properties:
        downloadedAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        modelConfig:
          allOf:
            - $ref: '#/components/schemas/AiAgentModelConfig'
          nullable: true
        enableUserContext:
          type: boolean
        enableContentTools:
          type: boolean
        enableSelfImprovement:
          type: boolean
        enableDataAccess:
          type: boolean
        tags:
          items:
            type: string
          type: array
          nullable: true
        instruction:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        name:
          type: string
        slug:
          type: string
        agentVersion:
          type: number
          enum:
            - 1
            - 2
        version:
          type: number
          format: double
        contentType:
          $ref: '#/components/schemas/ContentAsCodeType.AI_AGENT'
      required:
        - modelConfig
        - enableUserContext
        - enableContentTools
        - enableSelfImprovement
        - enableDataAccess
        - tags
        - instruction
        - imageUrl
        - description
        - name
        - slug
        - agentVersion
        - version
        - contentType
      type: object
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    AiAgentModelConfig:
      properties:
        reasoning:
          type: boolean
        modelProvider:
          type: string
        modelName:
          type: string
      required:
        - modelProvider
        - modelName
      type: object
    ContentAsCodeType.AI_AGENT:
      enum:
        - ai_agent
      type: string

````